/********************************** (C) COPYRIGHT *******************************
* File Name          : Main.c
* Author             : WCH
* Version            : V1.0
* Date               : 2019/4/28
* Description 		 : ʱ
*******************************************************************************/

#include "CH57x_common.h"

#include "ch57x_drv_ledc.h"


__align(2) uint8_t tx_data[] = {0X01,0X02,0X03,0X04,0X01,0X02,0X03,0X04,0XFF,0XFF,
                                0XFF,0XFF,0X01,0X02,0X03,0X04,0x03,0x03,0X88,0X99};

__align(2) uint8_t tx_data_aux[] = {0X11,0X22,0X33,0X44,0X01,0X02,0X03,0X04,0XFF,0XFF,
                                    0XFF,0XFF,0X01,0X02,0X03,0X04,0x03,0x03,0X33,0X11};






// end of led controller


void DebugInit(void)		
{
    GPIOA_SetBits(GPIO_Pin_9);
    GPIOA_ModeCfg(GPIO_Pin_8, GPIO_ModeIN_PU);
    GPIOA_ModeCfg(GPIO_Pin_9, GPIO_ModeOut_PP_5mA);
    UART1_DefInit();
}



int main()
{     

  
    /* ôڵ */   
    DebugInit();
    PRINT( "Start @ChipID=%02X\n", R8_CHIP_ID );

    
    //led clk
    GPIOA_ModeCfg( GPIO_Pin_4, GPIO_ModeOut_PP_5mA );
    
    //led data
    //LED 0
    GPIOA_ModeCfg( GPIO_Pin_0, GPIO_ModeOut_PP_5mA );
    //LED 1
    GPIOA_ModeCfg( GPIO_Pin_1, GPIO_ModeOut_PP_5mA );
    //LED 2
    GPIOA_ModeCfg( GPIO_Pin_2, GPIO_ModeOut_PP_5mA );
    //LED 3
    GPIOA_ModeCfg( GPIO_Pin_3, GPIO_ModeOut_PP_5mA );
    


        
    ch57x_led_controller_init(CH57X_LED_OUT_MODE_FOUR_EXT,160);
    
    NVIC_SetPriority(LED_IRQn, 2);
    NVIC_EnableIRQ(LED_IRQn);


    //ʼ,ٷ;ж淢
    ch57x_led_controller_send(tx_data,tx_data_aux,10);
    ch57x_led_controller_out_enable();
    
    while(1){
        DelayMs(500);
        ch57x_led_controller_send(tx_data,tx_data_aux,10);
    }
}



void LED_IRQHandler(void) {
    //ch57x_led_controller_send(tx_data,tx_data_aux,10);
    //PRINT( "%02X\r\n", R8_LED_STATUS);
    ch57x_led_controller_dma_stop();
    
    //ch57x_led_controller_send(tx_data,tx_data_aux,10);
    
}






