#include "stdint.h"




#include "CH57x_common.h"




//start of led controller
typedef enum {
    CH57X_LED_OUT_MODE_SINGLE = 0,  //data map to LED0
    CH57X_LED_OUT_MODE_DOUBLE,      //data map to LED0,LED1
    CH57X_LED_OUT_MODE_FOUR,        //data map to LED0,LED1,LED2,LED3
    CH57X_LED_OUT_MODE_FOUR_EXT,    //data map to LED0,LED1, data_aux map to LED2,LED3
}ch57x_led_out_mode_t;





void ch57x_led_controller_init(ch57x_led_out_mode_t mode,uint8_t led_clk_div);

void ch57x_led_controller_out_enable(void);

void ch57x_led_controller_dma_stop(void);

void ch57x_led_controller_send(uint8_t *data,uint8_t *data_aux,uint16_t length);

